## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-hatchling
Version:        1.21.1
Release:        %autorelease
Summary:        The build backend used by Hatch

# SPDX
License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        %{pypi_source hatchling}
# Written for Fedora in groff_man(7) format based on --help output
Source100:      hatchling.1
Source200:      hatchling-build.1
Source300:      hatchling-dep.1
Source310:      hatchling-dep-synced.1
Source400:      hatchling-metadata.1
Source500:      hatchling-version.1

Patch:          0001-Downstream-only-loosen-dependency-versions-for-EPEL9.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# RHBZ#1985340, RHBZ#2076994
BuildRequires:  pyproject-rpm-macros >= 1.2.0

%global common_description %{expand:
This is the extensible, standards compliant build backend used by Hatch.}

%description %{common_description}


%package -n python3-hatchling
Summary:        %{summary}

%description -n python3-hatchling %{common_description}


%prep
%autosetup -n hatchling-%{version} -p2


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hatchling

install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 \
    '%{SOURCE100}' \
    '%{SOURCE200}' \
    '%{SOURCE300}' '%{SOURCE310}' \
    '%{SOURCE400}' \
    '%{SOURCE500}'


%check
# We cannot run the “downstream integration tests” included with the PyPI sdist
# in an offline build. The primary tests are Hatch’s “backend” tests.
%pyproject_check_import


%files -n python3-hatchling -f %{pyproject_files}
%doc README.md

%{_bindir}/hatchling
%{_mandir}/man1/hatchling.1*
%{_mandir}/man1/hatchling-*.1*


%changelog
## START: Generated by rpmautospec
* Tue Feb 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.21.1-1
- Update to 1.21.1 (close RHBZ#2260286)

* Tue Feb 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.21.0-1
- Update to 1.21.0 (close RHBZ#2254951)

* Tue Feb 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.20.0-1
- Update to 1.20.0 (close RHBZ#2253944)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.18.0-1
- Update to 1.18.0 (close RHBZ#2214286)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17.1-1
- Update to 1.17.1 (close RHBZ#2212081)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17.0-1
- Update to 1.17.0 (close RHBZ#2203351)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.16.1-1
- Update to 1.16.1 (close RHBZ#2203227)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.16.0-1
- Update to 1.16 (close RHBZ#2196940)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.15.0-1
- Update to 1.15.0 (close RHBZ#2196648)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.14.1-1
- Update to 1.14.1 (close RHBZ#2188977)

* Thu Jul 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.14.0-1
- Update to 1.14.0 (close RHBZ#21838751)

* Mon Jul 24 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
